chrome.runtime.onMessage.addListener((request, sender, sendResponse) => {
  if (request.action === "redirect") {
    console.log("Received redirect request:", request.url);
    chrome.tabs.update(sender.tab.id, { url: request.url }, function(tab) {
      if (chrome.runtime.lastError) {
        console.error("Error during redirect:", chrome.runtime.lastError);
      } else {
        console.log("Redirected to:", request.url);
      }
    });
  } else {
    console.log("Unknown action received:", request.action);
  }
});
